/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var semaforo = 0;
function buscar(x) {
    var idePla = $("#idePla").val();
    var ideLic = $("#ideLic").val();
    var mes = $("#mes").val();

    if (idePla != "default" | x == 4) {
        if (semaforo == 0) {

            if (x == 6 | x == 8 | x == 10) {
                if (mes == "") {
                    swal("FALTAN DATOS", "DEBE DE ELEGIR UN MES", "warning");
                    $("#mes").effect("highlight", {color: 'yellow'}, 5000);
                } else {
                    semaforo = 1;
                    $.ajax({
                        // la URL para la petición
                        url: '/ControlCeepam/web/app_dev.php/ce-alumnos-adeudos',
                        // la información a enviar
                        // (también es posible utilizar una cadena de datos)
                        data: {p: idePla, l: ideLic, x: x, m: mes},
                        // especifica si será una petición POST o GET
                        type: 'POST',
                        // el tipo de información que se espera de respuesta
                        dataType: 'html',
                        // código a ejecutar si la petición es satisfactoria;
                        // la respuesta es pasada como argumento a la función
                        beforeSend: function () {
                            document.getElementById("contenedor-resultados").innerHTML = "";
                            document.getElementById("contenedor-resultados").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
                        },
                        success: function (respuesta) {
                            //alert("Correcto");
                            document.getElementById("contenedor-resultados").innerHTML = respuesta;
                            semaforo = 0;
                        },
                        // código a ejecutar si la petición falla;
                        // son pasados como argumentos a la función
                        // el objeto de la petición en crudo y código de estatus de la petición
                        error: function (xhr, status) {
                            alert('Disculpe, existió un problema');
                            document.getElementById("contenedor-resultados").innerHTML = "";
                            semaforo = 0;
                        },
                        // código a ejecutar sin importar si la petición falló o no
                        complete: function (xhr, status) {
                            //alert('Petición realizada');
                        }
                    });
                }
            } else {
                semaforo = 1;
                $.ajax({
                    // la URL para la petición
                    url: '/ControlCeepam/web/app_dev.php/ce-alumnos-adeudos',
                    // la información a enviar
                    // (también es posible utilizar una cadena de datos)
                    data: {p: idePla, l: ideLic, x: x, m: mes},
                    // especifica si será una petición POST o GET
                    type: 'POST',
                    // el tipo de información que se espera de respuesta
                    dataType: 'html',
                    // código a ejecutar si la petición es satisfactoria;
                    // la respuesta es pasada como argumento a la función
                    beforeSend: function () {
                        document.getElementById("contenedor-resultados").innerHTML = "";
                        document.getElementById("contenedor-resultados").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
                    },
                    success: function (respuesta) {
                        //alert("Correcto");
                        document.getElementById("contenedor-resultados").innerHTML = respuesta;
                        semaforo = 0;
                    },
                    // código a ejecutar si la petición falla;
                    // son pasados como argumentos a la función
                    // el objeto de la petición en crudo y código de estatus de la petición
                    error: function (xhr, status) {
                        alert('Disculpe, existió un problema');
                        document.getElementById("contenedor-resultados").innerHTML = "";
                        semaforo = 0;
                    },
                    // código a ejecutar sin importar si la petición falló o no
                    complete: function (xhr, status) {
                        //alert('Petición realizada');
                    }
                });
            }
        } else {
            console.log("PETICIÓN EN PROCESO, ESPERE...");
        }
    } else {
        swal("FALTAN DATOS", "DEBE DE ELEGIR UN PLANTEL", "warning");
        $("#idePla").effect("highlight", {color: 'yellow'}, 5000);
    }
}